ClassDomainRestriction (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.align.impl.edoal
Class ClassDomainRestriction

    java.lang.Object
      fr.inrialpes.exmo.align.impl.edoal.Expression
          fr.inrialpes.exmo.align.impl.edoal.ClassExpression
              fr.inrialpes.exmo.align.impl.edoal.ClassRestriction
                  fr.inrialpes.exmo.align.impl.edoal.ClassDomainRestriction

All Implemented Interfaces:
  Cloneable, Visitable

    public class ClassDomainRestriction

extends ClassRestriction
implements Cloneable

Field Summary
`(package private) ClassExpression` | `domain`

Fields inherited from class fr.inrialpes.exmo.align.impl.edoal.ClassRestriction
`constrainedPath`

Fields inherited from class fr.inrialpes.exmo.align.impl.edoal.Expression
`variable`

Constructor Summary
`ClassDomainRestriction(PathExpression p, ClassExpression cl)` Constructs a typeCondition with the given restriction.

Method Summary
`ClassExpression` | `getDomain()`
`void` | `setDomain(ClassExpression cl)`

Methods inherited from class fr.inrialpes.exmo.align.impl.edoal.ClassRestriction
`getRestrictionPath, setRestrictionPath`

Methods inherited from class fr.inrialpes.exmo.align.impl.edoal.Expression
`accept, accept, getVariable, setVariable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### domain

    ClassExpression domain

Constructor Detail

### ClassDomainRestriction

    public ClassDomainRestriction(PathExpression p,
                                  ClassExpression cl)

  Constructs a typeCondition with the given restriction.

  Parameters:
    `res` - the restriction for the domain
    `target` - the target expression which should be restricted
  Throws:
    `NullPointerException` - if the restriction is null

Method Detail

### getDomain

    public ClassExpression getDomain()

### setDomain

    public void setDomain(ClassExpression cl)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2003-2010